Subject: Re: [PATCH net-next v2] net: mvpp2: add ethtool GOP statistics

From: Andrew Lunn <[email-masked]>
Date: Mon, 6 Nov 2017 15:25:34 +0100

> Here I do have a problem: I choose the IDA solution because it was
> quite straightforward but I agree it would be better to use an unique
> name. Unfortunately, on the Armada-8040-DB that instantiate this driver
> twice, the node name is not unique. There are two CP (master and
> slave) and both names are "ethernet@0". Otherwise, if I use the full
> path, I get something like
> "/cp110-master/config-space@f2000000/ethernet@0" and
> "/cp110-slave/config-space@f4000000/ethernet@0" but the problem is that
> workqueue names are truncated to 24 characters and only 15 appears in
> ps, so it would not solve the issue and choosing the "parent
> parent node name" would work here but does not scale very well. Do you
> have any idea to get this right?

Hi Miquel

You could move the starting of the thread into mvpp2_port_probe(). If
you do it after register_netdev(dev), you can use netdev_name(dev).

    Andrew